#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define subrel 1
%define rel 1

Name:           polkit-kde-agent-1
Version: 5.15.4
Summary:        PolicyKit authentication agent for KDE
Release:        %mkrel %rel
License:        GPLv2
Group:          Graphical desktop/KDE
URL:            https://projects.kde.org/projects/extragear/base/%{name}
# tarball gererated by releaseme script
Source0:        %{name}-%{version}.tar.xz

# Mageia patches (300-400)
Patch300:       %{name}-5.15.4-Add-indication-of-user-as-password-owner-mga#15124.patch

BuildRequires:  pkgconfig(polkit-qt5-1) >= 0.99.0

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  ki18n-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kwidgetsaddons-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kcrash-devel
BuildRequires:  kconfig-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  knotifications-devel

Provides:       polkit-agent
Provides:       polkit-kde-1
Obsoletes:      polkit-kde-1

%description
PolicyKit authentication agent for KDE.

%files -f polkit-kde-authentication-agent-1.lang
%_kf5_sysconfdir/xdg/autostart/polkit-kde-authentication-agent-1.desktop
%{_libexecdir}/polkit-kde-authentication-agent-1
%_kf5_knotificationsdir/policykit1-kde.notifyrc
%_kf5_datadir/applications/org.kde.polkit-kde-authentication-agent-1.desktop

#-----------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build
%find_lang polkit-kde-authentication-agent-1


%changelog
* Tue Sep 01 2020 daviddavid <daviddavid> 5.15.4-1.1.mga7
+ Revision: 1620590
- add mga patch add indication of user as password owner for polkit agent (mga#15124)

* Mon Apr 08 2019 neoclust <neoclust> 5.15.4-1.mga7
+ Revision: 1386870
- New version 5.15.4

* Mon Apr 01 2019 umeabot <umeabot> 5.15.3-2.mga7
+ Revision: 1384050
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 5.15.3-1.mga7
+ Revision: 1374949
- New version 5.15.3

* Thu Feb 28 2019 neoclust <neoclust> 5.15.2-1.mga7
+ Revision: 1370575
- New version 5.15.2

* Tue Feb 19 2019 neoclust <neoclust> 5.15.1-1.mga7
+ Revision: 1368612
- New version 5.15.1

* Fri Feb 15 2019 neoclust <neoclust> 5.15.0-1.mga7
+ Revision: 1367249
- New version 5.15.0

* Mon Jan 14 2019 neoclust <neoclust> 5.14.5-1.mga7
+ Revision: 1356196
- New version 5.14.5

* Sun Dec 09 2018 neoclust <neoclust> 5.14.4-1.mga7
+ Revision: 1339333
- New version 5.14.4

* Wed Oct 24 2018 neoclust <neoclust> 5.14.2-1.mga7
+ Revision: 1324898
- New version 5.14.2

* Sun Sep 23 2018 umeabot <umeabot> 5.13.4-2.mga7
+ Revision: 1300337
- Mageia 7 Mass Rebuild

* Sat Aug 18 2018 neoclust <neoclust> 5.13.4-1.mga7
+ Revision: 1252445
- New version 5.13.4

* Fri Feb 23 2018 neoclust <neoclust> 5.12.2-1.mga7
+ Revision: 1204462
- New version 5.12.2

* Wed Feb 14 2018 neoclust <neoclust> 5.12.1-1.mga7
+ Revision: 1201008
- New version 5.12.1

* Fri Jan 19 2018 neoclust <neoclust> 5.11.95-1.mga7
+ Revision: 1194783
- New version 5.11.95

* Wed Dec 27 2017 neoclust <neoclust> 5.11.4-1.mga7
+ Revision: 1185702
- New version 5.11.4

* Fri Oct 27 2017 neoclust <neoclust> 5.11.2-1.mga7
+ Revision: 1174122
- New version 5.11.2

* Tue Oct 17 2017 neoclust <neoclust> 5.11.1-1.mga7
+ Revision: 1172408
- New version 5.11.1

* Sun Oct 01 2017 neoclust <neoclust> 5.10.95-1.mga7
+ Revision: 1162415
- New version 5.10.95
- New version 5.10.5

* Sat Jul 22 2017 neoclust <neoclust> 5.10.4-1.mga7
+ Revision: 1128221
- New version 5.10.4
- New version 5.10.3

* Fri May 26 2017 neoclust <neoclust> 5.8.7-1.mga6
+ Revision: 1104858
- New version 5.8.7

* Mon Mar 06 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1089044
- New version 5.8.6

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078180
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070736
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065166
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064497
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063067
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060292
- New version 5.8.1

* Thu Sep 29 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057618
- New version 5.8.0

* Thu Sep 15 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053074
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-5.mga6
+ Revision: 1052703
- New version 5.7.5

* Wed Aug 24 2016 neoclust <neoclust> 5.7.4-5.mga6
+ Revision: 1048368
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 5.7.3-5.mga6
+ Revision: 1044288
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 5.7.2-5.mga6
+ Revision: 1042576
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 5.7.1-5.mga6
+ Revision: 1041413
- New version 5.7.1

* Thu Jul 07 2016 neoclust <neoclust> 5.7.0-5.mga6
+ Revision: 1039518
- New version 5.7.0

* Fri Jun 17 2016 neoclust <neoclust> 5.6.5-5.mga6
+ Revision: 1021890
- New version 5.6.5

* Fri May 13 2016 neoclust <neoclust> 5.6.4-5.mga6
+ Revision: 1014558
- New version 5.6.4

* Wed May 04 2016 neoclust <neoclust> 5.6.3-5.mga6
+ Revision: 1009295
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 5.6.2-5.mga6
+ Revision: 999279
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-5.mga6
+ Revision: 998034
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-5.mga6
+ Revision: 994412
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-5.mga6
+ Revision: 987077
- Rebuild against kf5 5.20.0

* Wed Mar 02 2016 neoclust <neoclust> 5.5.95-4.mga6
+ Revision: 983760
- New version 5.5.95

* Tue Jan 26 2016 neoclust <neoclust> 5.5.4-4.mga6
+ Revision: 927988
- New version 5.5.4

* Wed Jan 13 2016 neoclust <neoclust> 5.5.3-4.mga6
+ Revision: 922522
- New version 5.5.3

* Sun Dec 27 2015 neoclust <neoclust> 5.5.2-4.mga6
+ Revision: 915832
- Rebuild against new cmake to have cmake() provides

* Fri Dec 25 2015 neoclust <neoclust> 5.5.2-3.mga6
+ Revision: 914859
- New version 5.5.2

* Tue Dec 22 2015 neoclust <neoclust> 5.5.1-3.mga6
+ Revision: 913621
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 910704
- New version 5.5.1

* Tue Dec 08 2015 neoclust <neoclust> 5.5.0-2.mga6
+ Revision: 908864
- New version 5.5.0

* Fri Nov 20 2015 neoclust <neoclust> 5.4.95-2.mga6
+ Revision: 904418
- New version 5.4.95

* Tue Nov 10 2015 neoclust <neoclust> 5.4.90-2.mga6
+ Revision: 900741
- Rebuild against fixed qtbase5

* Fri Nov 06 2015 neoclust <neoclust> 5.4.90-1.mga6
+ Revision: 898276
- New version 5.4.90

* Sun Oct 11 2015 neoclust <neoclust> 5.4.2-1.mga6
+ Revision: 889535
- New version 5.4.2

* Wed Sep 09 2015 neoclust <neoclust> 5.4.1-1.mga6
+ Revision: 874746
- New version 5.4.1

* Wed Aug 26 2015 neoclust <neoclust> 5.4.0-1.mga6
+ Revision: 869664
- New version 5.4.0

* Tue Aug 11 2015 neoclust <neoclust> 5.3.95-1.mga6
+ Revision: 862554
- New version 5.3.95

* Sun Jul 05 2015 neoclust <neoclust> 5.3.2-1.mga6
+ Revision: 850678
- New version KF5 based 5.3.2

* Wed Oct 15 2014 umeabot <umeabot> 0.99.1-2.mga5
+ Revision: 738966
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 0.99.1-1.mga5
+ Revision: 734676
- update to 0.99.1

* Tue Sep 16 2014 umeabot <umeabot> 0.99.0-7.mga5
+ Revision: 687712
- Mageia 5 Mass Rebuild

* Thu Nov 28 2013 akien <akien> 0.99.0-6.mga4
+ Revision: 553815
- Adding new translations taken from upstream (unreleased) 0.99.1 version

* Wed Nov 27 2013 matteo <matteo> 0.99.0-5.mga4
+ Revision: 553633
- added Slovenian translation

* Fri Oct 18 2013 umeabot <umeabot> 0.99.0-4.mga4
+ Revision: 517610
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.99.0-3.mga3
+ Revision: 378032
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Apr 25 2011 ahmad <ahmad> 0.99.0-2.mga1
+ Revision: 90337
- Add an upstream patch to bring the auth dialog to the front when it is shown.
  Otherwise it pops up behind the app requesting it and the user never sees it.

* Sat Jan 22 2011 ahmad <ahmad> 0.99.0-1.mga1
+ Revision: 32762
- imported package polkit-kde-agent-1


* Fri Dec 10 2010 Funda Wang <fwang@mandriva.org> 0.99.0-1mdv2011.0
+ Revision: 620236
- shouldusing kde4 cmake macro
- new version 0.99.0

* Sun Nov 21 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.97.1-0.2mdv2011.0
+ Revision: 599348
- using GIT hash in version number was bad idea

* Sat Nov 20 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.97.1-0.g99d1369a.1mdv2011.0
+ Revision: 599298
- update to GIT snapshot that builds and works under current KDE
- new name polkit-kde-agent-1

* Tue May 11 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.95.1-3mdv2010.1
+ Revision: 544536
- Add french translation

* Wed Apr 28 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.95.1-2mdv2010.1
+ Revision: 540132
- provides polkit-agent

* Wed Dec 23 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.95.1-1mdv2010.1
+ Revision: 481785
- Fix buildrequires
- Fix BuildRequire
- import polkit-kde-1

